diff --git a/src/backend/commands/subscriptioncmds.c b/src/backend/commands/subscriptioncmds.c
index 21ef15f..58b55bd 100644
--- a/src/backend/commands/subscriptioncmds.c
+++ b/src/backend/commands/subscriptioncmds.c
@@ -209,6 +209,12 @@ parse_subscription_options(List *options, bool *connect, bool *enabled_given,
 			ereport(ERROR,
 					(errcode(ERRCODE_SYNTAX_ERROR),
 					 errmsg("slot_name = NONE and create slot are mutually exclusive options")));
+
+		/* No replication slot should be associated with slot_name = NONE. */
+		if (create_slot)
+			*create_slot = false;
+		if (enabled)
+			*enabled = false;
 	}
 }
 
